import React from 'react';
import { Card, Row, Col, Statistic, Typography } from 'antd';
import { 
  PhoneOutlined, 
  FileTextOutlined, 
  CalendarOutlined, 
  DollarOutlined 
} from '@ant-design/icons';

const { Title } = Typography;

const Dashboard: React.FC = () => {
  return (
    <div style={{ padding: '24px' }}>
      <Title level={2}>仪表板</Title>
      
      <Row gutter={16}>
        <Col span={6}>
          <Card>
            <Statistic
              title="总通话数"
              value={1128}
              prefix={<PhoneOutlined />}
              valueStyle={{ color: '#3f8600' }}
            />
          </Card>
        </Col>
        <Col span={6}>
          <Card>
            <Statistic
              title="文档翻译"
              value={892}
              prefix={<FileTextOutlined />}
              valueStyle={{ color: '#1890ff' }}
            />
          </Card>
        </Col>
        <Col span={6}>
          <Card>
            <Statistic
              title="预约服务"
              value={456}
              prefix={<CalendarOutlined />}
              valueStyle={{ color: '#faad14' }}
            />
          </Card>
        </Col>
        <Col span={6}>
          <Card>
            <Statistic
              title="总收入"
              value={25680}
              prefix={<DollarOutlined />}
              valueStyle={{ color: '#cf1322' }}
              suffix="元"
            />
          </Card>
        </Col>
      </Row>
      
      <div style={{ marginTop: '24px' }}>
        <Card title="系统状态">
          <p>✅ 系统运行正常</p>
          <p>✅ 所有服务在线</p>
          <p>✅ 数据库连接正常</p>
        </Card>
      </div>
    </div>
  );
};

export default Dashboard; 